#include <iocslib.h>
#include <string.h>
#include "defines.h"

/* SUPER()を使うので gcd -os すること */

void txcls(int plane)
{
unint ty;
int ssp;
unchar *adrs;
	ty=gxy(&ssp)/4; /* ４ラスタ１単位 */
	/* 第１ラスタブロックは手作業でクリア */
	if (plane&BIT0) adrs=(unchar *)TPLANE0;
	if (plane&BIT1) adrs=(unchar *)TPLANE1;
	if (plane&BIT2) adrs=(unchar *)TPLANE2;
	if (plane&BIT3) adrs=(unchar *)TPLANE3;
	ssp=SUPER(0);
	memset(adrs,0,1024/8*4);
	if (ssp>=0) SUPER(ssp);
	TXRASCPY(1,ty-1,plane); /* 最初はラスタブロック０から１へコピーから始まる */
}
